Update Product

Update an existing Product.

Updating an existing Product will set the product type to Advanced, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | ecommerce:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
product_idstringRequiredformat: "objectid"
Unique identifier for a Product

Request

The product to update
publishStatusenumOptionalDefaults to staging
Indicate whether your Product should be set as "staging" or "live"
Allowed values:
productobjectOptional
The Product object
skuobjectOptional
The SKU object

Response

Request was successful
idstringRead-only
Unique identifier for the Product
cmsLocaleIdstringRead-only
Identifier for the locale of the CMS item
lastPublishedstringRead-onlyformat: "date-time"
The date the Product was last published
lastUpdatedstringRead-onlyformat: "date-time"
The date the Product was last updated
createdOnstringRead-onlyformat: "date-time"
The date the Product was created
isArchivedbooleanDefaults to false
Boolean determining if the Product is set to archived
isDraftbooleanDefaults to false
Boolean determining if the Product is set to draft
fieldDataobject

Contains content-specific details for a product, covering both standard (e.g., title, description) and custom fields tailored to the product setup.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error